package dev.pfaff.altargui.debug.jfr;

import jdk.jfr.Description;
import jdk.jfr.Event;
import jdk.jfr.Label;
import jdk.jfr.Unsigned;

sealed abstract class LayoutEvent extends Event permits ScissorLayoutEvent, StencilLayoutEvent, TraceLayoutEvent {
	@Label("Key")
	@Description("Key of the widget being laid out")
	@Unsigned
	private final long key;

	public LayoutEvent(long key) {
		this.key = key;
	}
}
