package dev.pfaff.altargui.debug.jfr;

import jdk.jfr.Description;
import jdk.jfr.Event;
import jdk.jfr.Label;
import jdk.jfr.Unsigned;

@Label("Mount")
public final class MountEvent extends Event {
	@Label("Key")
	@Description("Key of the widget being mounted")
	@Unsigned
	private final long key;

	public MountEvent(long key) {
		this.key = key;
	}
}
